TYPO3:
  CMS:
    Form:
      persistenceManager:
        allowSaveToExtensionPaths: true
        allowDeleteFromExtensionPaths: true
        allowedExtensionPaths:
          10: EXT:t3template/Resources/Private/Form/
      prototypes:
        standard:
          formElementsDefinition:
            Form:
              formEditor:
                editors:
                  900:
                    # Extend finisher drop down
                    selectOptions:
                      111:
                        value: 'DataToCsvFinisher'
                        label: 'Data to CSV'
                propertyCollections:
                  finishers:
                    # add finisher fields
                    111:
                      identifier: 'DataToCsvFinisher'
                      editors:
                        __inheritances:
                          10: 'TYPO3.CMS.Form.mixins.formElementMixins.BaseCollectionEditorsMixin'
                        100:
                          label: 'Save data to csv file'
                        # required csv filename field
                        110:
                          identifier: 'csvFilename'
                          templateName: 'Inspector-TextEditor'
                          label: 'Filename (*.csv)'
                          propertyPath: 'options.csvFilename'
                          propertyValidators:
                            10: 'NotEmpty'
                        9999:
                          identifier: removeButton
                          templateName: Inspector-RemoveElementEditor
              finishersDefinition:
                DataToCsvFinisher:
                  formEditor:
                    iconIdentifier: 'form-finisher'
                    label: 'Data to CSV'
                    predefinedDefaults:
                      options:
                        csvFilename: ''
                  # displayed when overriding finisher settings
                  FormEngine:
                    label: 'Data to CSV'
                    elements:
                      csvFilename:
                        label: 'Filename (*.csv)'
                        config:
                          type: 'text'
